Skip to main content
`Ctrl`+`K`

# PetscSectionSetFieldDof

Sets the number of degrees of freedom associated with a field on a given point.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetFieldDof(PetscSection s, PetscInt point, PetscInt field, PetscInt numDof)

Not Collective

## Input Parameters

- s - the `PetscSection`

- point - the point

- field - the field

- numDof - the number of dof, these values may be negative -(dof+1) to indicate they are off process

## Note

When setting the number of dof for a field at a point one must also ensure the count of the total number of dof at the point (summed over the fields and the unnamed default field) is correct by also calling `PetscSectionAddDof()` or `PetscSectionSetDof()`

This is equivalent to

         PetscSection fs;
         PetscSectionGetField(s,field,&fs)
         PetscSectionSetDof(fs,numDof)

## See Also

PetscSection, `PetscSection`, `PetscSectionGetFieldDof()`, `PetscSectionCreate()`, `PetscSectionAddDof()`, `PetscSectionSetDof()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

## Examples

src/ts/tutorials/ex11_sa.c
src/dm/impls/plex/tutorials/ex7.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages